Home » Infrastructure » Unix » solaris 10 release - 11gr2 (11.2,solaris 10 sparc(64bit))
solaris 10 release - 11gr2 [message #535730] Fri, 16 December 2011 01:09 Go to next message
mmee
Messages: 38
Registered: July 2007
Member

We are doing up-gradation from 10g2 to 11gr2 on oracle solaris 10(64bit)


As per documents metalink Note...964976.1
Quote:

2 Software Requirements

Solaris 10 U6 (5.10-2008.10)

Update level can be checked from "/etc/release" file.

Applying a kernel patch or a Solaris patch bundle is not the equivalent to installing the specific Solaris 10 "update 6" image.
11gR2 RDBMS software is only certified for a base install image of Solaris 10 update 6 or greater.
For additional detail, please see Document 971464.1, "FAQ - 11gR2 requires Solaris 10 update 6 +"



"Applying a kernel patch or a Solaris patch bundle is not the equivalent to installing the specific Solaris 10 "update 6" image."


what is kernel patch?
what is solaris patch?


my kernel patch and release output

root@eat.com.vn # uname -a
SunOS eat.com.vn 5.10 Generic_144488-11 sun4v sparc SUNW,T5240
root@eat.com.vn # more /etc/release
                       Solaris 10 5/08 s10s_u5wos_10 SPARC
           Copyright 2008 Sun Microsystems, Inc.  All Rights Reserved.
                        Use is subject to license terms.
                             Assembled 24 March 2008


my kernel will support 11gr2 or not?

[Updated on: Fri, 16 December 2011 01:22] by Moderator

Report message to a moderator

Re: solaris 10 release - 11gr2 [message #536121 is a reply to message #535730] Mon, 19 December 2011 05:18 Go to previous message
mmee
Messages: 38
Registered: July 2007
Member


I got it info from oracle metalink ....

Oracle Note:11gR2 requires Solaris 10 update 6 or greater [ID 971464.1]

"Must the OS kernel must be patched via Sun Updates or is applying the kernel patches sufficient?"

According to Oracle/Sun, applying individual Solaris patches or the appropriate MU (Maintenance Update) patch bundle (MU6 or later) to upgrade to U6 only updates existing packages.
The additional packages that come with Solaris 10 and were introduced after the install of the update level that you have applied are not updated in such an upgrade.
So the environment required to run Oracle Database 11gR2 is not met.Reference Oracle Development in Bug 9152554


"Our kernel level is current. However, the /etc/release file shows update 3 level. Is this going to present a problem?"
According to Oracle/Sun, applying individual Solaris patches or the appropriate patch bundle (MU6 or later) to upgrade to U6 only updates existing packages.
The additional packages that come with Solaris 10 U6 are not updated in such an upgrade.
So the environment required to run Oracle Database 11gR2 is not met.

The /etc/release file is updated to reflect the new update level e.g. U6 during either a fresh install, or during the application of an OS upgrade to an update release. The MU (Maintenance Update) patch bundle does NOT amend /etc/release. Since the MU is not the same as a fresh install or OS upgrade, the original update level data in /etc/release is maintained.

These two choices (a fresh install, or an application of an OS upgrade)



Previous Topic: ksh code error in sun solaris
Next Topic: ACCESS tables from Unix script
Goto Forum:
  


Current Time: Sun Dec 21 23:39:48 CST 2014

Total time taken to generate the page: 0.04400 seconds